> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Jobs Activity Route



## OpenAPI

````yaml /api/openapi.json get /api/jobs/activity
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/jobs/activity:
    get:
      tags:
        - jobs
      summary: Jobs Activity Route
      operationId: jobs_activity_route_api_jobs_activity_get
      parameters:
        - name: hours
          in: query
          required: false
          schema:
            type: integer
            maximum: 168
            minimum: 1
            default: 24
            title: Hours
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobActivityOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobActivityOut:
      properties:
        hours:
          type: integer
          title: Hours
        buckets:
          items:
            $ref: '#/components/schemas/JobActivityBucket'
          type: array
          title: Buckets
        total:
          type: integer
          title: Total
        running:
          type: integer
          title: Running
        last_polled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Polled At
        active_known:
          type: boolean
          title: Active Known
          default: false
      type: object
      required:
        - hours
        - buckets
        - total
        - running
      title: JobActivityOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobActivityBucket:
      properties:
        hour_start:
          type: string
          title: Hour Start
        count:
          type: integer
          title: Count
      type: object
      required:
        - hour_start
        - count
      title: JobActivityBucket
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````